> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Collection Attempts

> List recurrence collection attempts with parameters



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cashin/pix/recurrences/collections/attempts
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashin/pix/recurrences/collections/attempts:
    get:
      tags:
        - Recurrences
      summary: List recurrence collection's attempt
      description: List recurrence collection's attempt
      operationId: >-
        TrioFoundationWeb.Banking.Cashin.Recurrence.Collection.AttemptController.index
      parameters:
        - description: Entity UUID
          in: query
          name: entity_id
          required: false
          schema:
            $ref: '#/components/schemas/UUID'
        - description: Recurrence UUID
          in: query
          name: recurrence_id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: Collection UUID
          in: query
          name: collection_id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: From datetime
          in: query
          name: from_datetime
          required: false
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: To datetime
          in: query
          name: to_datetime
          required: false
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: >-
            Parameter used for pagination. It is a base64 encoded param used to
            access the previous page of results. It is provided alongside a
            metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJDU4ZjFlYzhlLWFmYTktNDk0My05M2I1LWQ2ZGM3OWI0M2VhYQ==
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It's a base64 encoded param used to
            access the previous page of results. Provided along with the data in
            the metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJGJhYTNiNmM1LTAyYTYtNGQ5Ny05NzU1LTI3OGFiNjRiN2Y1MQ==
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Number of registries to be returned
          in: query
          name: limit
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecurrenceCollectionAttemptListResponse'
          description: Collection
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    DATETIME:
      description: Datetime schema
      format: date-time
      title: DATETIME
      type: string
    RecurrenceCollectionAttemptListResponse:
      description: Recurrence collection's attempt list response
      example:
        data:
          - collection_id: 019f2433-fc72-3f85-4243-ee8a04846235
            collection_timestamp: '2026-07-02T19:00:14.578179Z'
            due_date: '2026-07-02T19:00:14.578180Z'
            end_to_end_id: E123123124120510240124BJJHBVGHBJGHBJHKNJ
            external_id: external id 1
            id: 019f2433-fc72-50b3-c501-9c1409a26115
            inserted_at: '2026-07-02T19:00:14.578180Z'
            status: created
            timestamp: '2026-07-02T19:00:14.578173Z'
            transaction_date: '2026-07-02T19:00:14.578179Z'
            txid: 1276T31G7T623GTYU123GJTY123JGTY
            type: type
            updated_at: '2026-07-02T19:00:14.578180Z'
      properties:
        data:
          $ref: '#/components/schemas/RecurrenceCollectionAttemptListData'
      title: RecurrenceCollectionAttemptListResponse
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    RecurrenceCollectionAttemptListData:
      description: A list data of automatic recurrence collection's attempts
      example:
        - collection_id: 019f2433-fc72-3f85-4243-ee8a04846235
          collection_timestamp: '2026-07-02T19:00:14.578179Z'
          due_date: '2026-07-02T19:00:14.578180Z'
          end_to_end_id: E123123124120510240124BJJHBVGHBJGHBJHKNJ
          external_id: external id 1
          id: 019f2433-fc72-50b3-c501-9c1409a26115
          inserted_at: '2026-07-02T19:00:14.578180Z'
          status: created
          timestamp: '2026-07-02T19:00:14.578173Z'
          transaction_date: '2026-07-02T19:00:14.578179Z'
          txid: 1276T31G7T623GTYU123GJTY123JGTY
          type: type
          updated_at: '2026-07-02T19:00:14.578180Z'
      items:
        $ref: '#/components/schemas/RecurrenceCollectionAttemptData'
      title: RecurrenceCollectionAttemptListData
      type: array
    RecurrenceCollectionAttemptData:
      description: A recurrence collection attempt
      example:
        collection_id: 019f2433-fc72-3f85-4243-ee8a04846235
        collection_timestamp: '2026-07-02T19:00:14.578179Z'
        due_date: '2026-07-02T19:00:14.578180Z'
        end_to_end_id: E123123124120510240124BJJHBVGHBJGHBJHKNJ
        external_id: external id 1
        id: 019f2433-fc72-50b3-c501-9c1409a26115
        inserted_at: '2026-07-02T19:00:14.578180Z'
        status: created
        timestamp: '2026-07-02T19:00:14.578173Z'
        transaction_date: '2026-07-02T19:00:14.578179Z'
        txid: 1276T31G7T623GTYU123GJTY123JGTY
        type: type
        updated_at: '2026-07-02T19:00:14.578180Z'
      properties:
        collection_id:
          description: Collection ID
          format: uuid
          type: string
        collection_timestamp:
          description: Collection Timestamp
          format: uuid
          type: string
        due_date:
          description: Due date
          format: date-time
          type: string
        end_to_end_id:
          description: End To End ID
          type: string
        external_id:
          description: External ID
          type: string
        id:
          description: ID
          format: uuid
          type: string
        inserted_at:
          description: Inserted at
          format: date-time
          type: string
        status:
          $ref: '#/components/schemas/RecurrenceCollectionAttemptStatus'
        timestamp:
          description: Timestamp
          format: uuid
          type: string
        transaction_date:
          description: Transaction date
          format: date-time
          type: string
        txid:
          description: TXID
          type: string
        type:
          description: Attempt type
          type: string
        updated_at:
          description: Updated at
          format: date-time
          type: string
      title: RecurrenceCollectionAttemptData
      type: object
    RecurrenceCollectionAttemptStatus:
      description: Types of recurrence collection attempt statuses
      enum:
        - requested
        - scheduled
        - settled
        - cancelled
        - rejected
        - expired
        - failed
      title: RecurrenceCollectionAttemptStatus
      type: string

````